Bug 4833 - (int-130151) Remove deprecated Glib symbols
(int-130151)
: Remove deprecated Glib symbols
Status: CLOSED FIXED
Product: Email
General
: 5.0-beta2
: All Linux
: Medium normal (vote)
: ---
Assigned To: unassigned
: modest-bugs
: http://live.gnome.org/GnomeGoals/Remo...
: patch
:
:
  Show dependency tree
 
Reported: 2009-07-27 18:17 UTC by Javier Jardón
Modified: 2009-07-31 13:41 UTC (History)
3 users (show)

See Also:


Attachments
Remove deprecated Glib symbols (5.59 KB, patch)
2009-07-27 18:17 UTC, Javier Jardón
Details
Remove deprecated Glib symbols. part2 (824 bytes, patch)
2009-07-28 02:10 UTC, Javier Jardón
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Javier Jardón (reporter) 2009-07-27 18:17:17 UTC
Modest uses deprecated Glib symbols that will be removed for GTK+ 3.

See http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/Glib.
Comment 1 Javier Jardón (reporter) 2009-07-27 18:17:44 UTC
Created an attachment (id=1278) [details]
Remove deprecated Glib symbols
Comment 2 Sergio Villar Senin 2009-07-27 19:39:40 UTC
Thank you very much for the patch Javier! 

It was committed in

Modest master a9fd15b0768255b183d8ce664edd9ee83a045df4
Comment 3 Javier Jardón (reporter) 2009-07-28 02:10:29 UTC
Created an attachment (id=1281) [details]
Remove deprecated Glib symbols. part2
Comment 4 Javier Jardón (reporter) 2009-07-28 02:12:33 UTC
Hello Sergio, 

I've reopened this bug because there is still one deprecated symbol

Patch attached
Comment 5 Sergio Villar Senin 2009-07-28 14:28:29 UTC
Fixed in
Modest master ca933ecc5cea8a885a34db89f7ce2a3b07f8f3b1
Comment 6 Andre Klapper maemo.org 2009-07-31 13:41:37 UTC
Verified & closing.